Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Interface FunctionNode

All Known Implementing Classes:
  AggregateNode, CollectionFunction, MethodNode

    public interface FunctionNode

Identifies a node which models a SQL function.

Method Summary
`Type` | `getFirstArgumentType()`
`SQLFunction` | `getSQLFunction()`

Method Detail

### getSQLFunction

    SQLFunction getSQLFunction()

### getFirstArgumentType

    Type getFirstArgumentType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.